#include "formula_pruning.h"

TString TFormulaPruning::ToString() const {
    return "formula:" + FormulaName;
}

bool TFormulaPruning::NeedSort() const {
    return true;
}

bool TFormulaPruning::PruningOn() const {
    return true;
}

TFormulaPruning::TFormulaPruning(const TString& formulaName)
    : FormulaName(formulaName)
{}

TFormulaPruning::TType TFormulaPruning::GetType() const {
    return FORMULA;
}
